"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExtendedOriginGroup = void 0;
exports.isExtendedOriginGroup = isExtendedOriginGroup;
const aws_cloudfront_origins_1 = require("aws-cdk-lib/aws-cloudfront-origins");
class ExtendedOriginGroup extends aws_cloudfront_origins_1.OriginGroup {
    constructor(props) {
        super(props);
        this.primaryOrigin = props.primaryOrigin;
        this.fallbackOrigin = props.fallbackOrigin;
        this.fallbackStatusCodes = props.fallbackStatusCodes;
    }
}
exports.ExtendedOriginGroup = ExtendedOriginGroup;
function isExtendedOriginGroup(origin) {
    return (origin.primaryOrigin !== undefined &&
        origin.fallbackOrigin !== undefined);
}
//# sourceMappingURL=extended-origin-group.js.map