"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExtendedTableV2 = void 0;
const aws_dynamodb_1 = require("aws-cdk-lib/aws-dynamodb");
const table_alarms_1 = require("./table-alarms");
/**
 * DynamoDB Table with CloudWatch Alarms.
 */
class ExtendedTableV2 extends aws_dynamodb_1.TableV2 {
    constructor(scope, id, props) {
        var _a;
        super(scope, id, props);
        if ((_a = props.createAlarms) !== null && _a !== void 0 ? _a : true) {
            new table_alarms_1.TableAlarms(this, 'Alarms', {
                table: this,
                ...props,
            });
        }
    }
    /**
     * Add a global secondary index of table.
     *
     * @param props the property of global secondary index
     */
    addGlobalSecondaryIndex(props) {
        super.addGlobalSecondaryIndex(props);
        if (this.tableAlarms) {
            this.tableAlarms.addGlobalSecondaryIndexMonitoring(props.indexName);
        }
    }
}
exports.ExtendedTableV2 = ExtendedTableV2;
//# sourceMappingURL=extended-table-v2.js.map